## org.eclipse.emf.cdo.common.id
Interface CDOIDLibraryDescriptor

All Known Implementing Classes:
  CDOIDLibraryDescriptorImpl, CDOIDLongFactoryImpl.LibraryHandler

    public interface CDOIDLibraryDescriptor

Method Summary
`java.lang.String` `getFactoryName()`
`java.lang.String[]` `getLibraryNames()`
`void` `write(org.eclipse.net4j.util.io.ExtendedDataOutput out)`

Method Detail

### getFactoryName

    java.lang.String getFactoryName()

### getLibraryNames

    java.lang.String[] getLibraryNames()

### write

    void write(org.eclipse.net4j.util.io.ExtendedDataOutput out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.